# OSQL4J

Lightweight SQL interface for java.

### Usage
<details><summary>Gradle</summary>
<p>

> ##### Groovy DSL

First, add the repository

```groovy
repositories {
    maven {
        url 'https://repo.nevets.tech/repository/maven-public/'
    }
}
```
Then, add the OSQL4J dependency:

```groovy
dependencies {
    implementation "tech.nevets.osql4j:OSQL4J:1.0.1"
}
 ```

If you want to provide your own jdbc driver dependencies, use the provided no-deps dependency

 ```groovy
dependencies {
    implementation "tech.nevets.osql4j:OSQL4J:1.0.1:no-deps"
}
 ```
 
> #### Kotlin DSL

First, add the repository

```kotlin
repositories {
    maven("https://repo.nevets.tech/repository/maven-public/")
}
```

Then, add the OSQL4J dependency:

```kotlin
dependencies {
    implementation("tech.nevets.osql4j:OSQL4J:1.0.1")
}
```

If you want to provide your own jdbc driver dependencies, use the provided no-deps dependency

```kotlin
dependencies {
    implementation("tech.nevets.osql4j:OSQL4J:1.0.1:no-deps")
}
```

</p>
</details>

<details><summary>Maven</summary>
<p>
    
First, add the repository

```xml
<repositories>
    <repository>
        <id>nevets-tech-repo</id>
        <url>https://repo.nevets.tech/repository/maven-public/</url>
    </repository>
</repositories>
```

And then add the OSQL4J dependency:

```xml
<dependency>
    <groupId>tech.nevets</groupId>
    <artifactId>osql4j</artifactId>
    <version>1.0.1</version>
</dependency>
```

If you want to provide your own jdbc driver dependencies, use the provided no-deps dependency

```xml
<dependency>
    <groupId>tech.nevets</groupId>
    <artifactId>osql4j</artifactId>
    <version>1.0.1</version>
    <classifier>no-deps</classifier>
</dependency>
```

</p>
</details>